:: This launcher was created by Loose Unit.  If you copy it, please remember me and my simple batch file.
:: I hold no responsibility for any damaged caused to anything while using this launcher - use at your own risk!
:: ======================================================================================================
:: Put the batch file in the root folder, default is: "C:\Program Files (x86)\GOG.com\Independence War 2 - Edge of Chaos\"
:: Run the batch file or create a shortcut and run from the shortcut that you have created
:: ======================================================================================================
:: Please set the compatibility mode required or comment out the section if 
:: not required, check for available values at the bottom of the page.  
:: ======================================================================================================

@echo off

:: Introduction text
echo =======================================================
echo = Welcome to Loose Units I-War 2 Multiplayer Launcher =
echo =                    Version 2.0                      =
echo =======================================================

:: ===================================================================================================
:: Check if there is previous sever history
if exist lu_i-war_2_launcher.txt (
	goto:func_use_history_question
) else (
	goto:func_get_new_server_info
)

:: ===================================================================================================
:: If there is a history, ask if the user wants to use it and do something with that answer
:func_use_history_question
set /p var_use_history=Would you like to use your previous server Y/N?: 
    IF %var_use_history%==y (
		goto:func_grab_info_from_file
    ) ELSE IF %var_use_history%==Y (
		goto:func_grab_info_from_file
    ) ELSE IF %var_use_history%==n (
		goto:func_get_new_server_info
    ) ELSE IF %var_use_history%==N (
		goto:func_get_new_server_info
    ) ELSE (
        echo Bad reply
		goto:func_use_history_question
    )

:: ===================================================================================================
:: Get fresh server info
:func_get_new_server_info
set /p var_server_name=Please enter the server name: 
set /p var_server_ip=Please enter the server IP:
 
:: Before we move on, we write the new data to the temp file for future use.
echo Writing file: lu_i-war_2_launcher.txt
(
ECHO %var_server_name%
ECHO %var_server_ip%
) >lu_i-war_2_launcher.txt
goto:func_launch

:: ===================================================================================================
:: This will just grab the values from the file %temp%\lu_i-war_2_launcher.txt
:func_grab_info_from_file
setLocal EnableDelayedExpansion
for /f "tokens=* delims= " %%a in (lu_i-war_2_launcher.txt) do (
set /a N+=1
set v[!N!]=%%a
)
:: The file has been read, it is now time to set the variable values for launching!
set var_server_name=%v[1]%
set var_server_ip=%v[2]%
goto:func_launch

:: ===================================================================================================
:: Finally, all done.  We are launching the game!!! 
:func_launch
:: Set windows compatibility mode, comment out by using :: in-front if not required.
set __COMPAT_LAYER=WINXPSP3
:: Now we launch the game! 
bin\release\loader.exe -ac iwar2.icGame -dl 3 -hsn "%var_server_name%" -hip "%var_server_ip%"

:: NOTE: We must change to the root directory and launch the \bin\release\loader.exe from there, otherwise nothing happens!

:: ==============================================================================================
:: = That concludes the program, below are the list of different available compatibility modes: =
:: ==============================================================================================
:: Compatibility Mode					=	Data Value
::							= 
:: Windows 95 						=	WIN95
:: Windows 98 / Windows Me		 		=	WIN98
:: Windows NT 4.0 (Service Pack 5) 			=	NT4SP5
:: Windows 2000 					=	WIN2000
:: Windows XP (Service Pack 2) 				=	WINXPSP2
:: Windows XP (Service Pack 3) 				=	WINXPSP3
:: Windows Server 2003 (Service Pack 1) 		=	WINSRV03SP1
:: Windows Server 2008 (Service Pack 1) 		=	WINSRV08SP1
:: Windows Vista 					=	VISTARTM
:: Windows Vista (Service Pack 1) 			=	VISTASP1
:: Windows Vista (Service Pack 2) 			=	VISTASP2
:: Windows 7 						=	WIN7RTM
:: ============================================================================================
:: Settings 						=	Data Value
::							=
:: Run in 256 colors 					=	256Color
:: Run in 640 x 480 screen resolution 			=	640x480
:: Disable visual themes 				=	DISABLETHEMES
:: Disable desktop composition 				=	DISABLEDWM
:: Disable display scaling on high DPI settings 	=	HIGHDPIAWARE